Name:           guacamole-client
Version:        0.8.4
Release:        1%{?dist}
Summary:        Server-side Java components that form the Guacamole application

License:        MPLv1.1 or GPL+ or AGPLv3+
URL:            http://guac-dev.org/
Source0:        http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz
Source1:        %{name}-context.xml
BuildArch:      noarch

BuildRequires:  mvn(org.apache.maven.plugins:maven-clean-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  maven-local
BuildRequires:  maven-release-plugin
BuildRequires:  mvn(org.apache.maven.plugins:maven-war-plugin)
BuildRequires:  servlet = 3.0

%description
Guacamole is an HTML5 remote desktop gateway.

Guacamole provides access to desktop environments using remote desktop protocols
like VNC and RDP. A centralized server acts as a tunnel and proxy, allowing
access to multiple desktops through a web browser.

No browser plugins are needed, and no client software needs to be installed. The
client requires nothing more than a web browser supporting HTML5 and AJAX.

The centralized server is provided by the "guacamole-server" package.

%package -n guacamole
Summary:        Web-based remote desktop application
Requires:       mvn(org.apache.commons:commons-logging)
Requires:       java-headless
Requires:       javapackages-tools
Requires:       mvn(org.slf4j:slf4j-api) >= 1.6.1
Requires:       mvn(org.slf4j:slf4j-jcl) >= 1.6.1
Requires:       tomcat
Requires:       tomcat-native
Obsoletes:      guacamole-common < 0.8.2
Obsoletes:      guacamole-common-js < 0.8.2
Obsoletes:      guacamole-ext < 0.8.2
Provides:       guacamole-common = %{version}-%{release}
Provides:       guacamole-common-js = %{version}-%{release}
Provides:       guacamole-ext = %{version}-%{release}

%description -n guacamole
This package contains the main HTML5 web application for the Guacamole stack
that provides access to desktop environments using remote desktop protocols such
as VNC or RDP.

A centralized server acts as a tunnel and proxy, allowing access to multiple
desktops through a web browser. No plugins are needed: the client requires
nothing more than a web browser supporting HTML5 and AJAX.

The centralized server is provided by the "guacd" package and its associated
"libguac-client-*" packages.

%package -n guacamole-javadoc
Summary:        API documentation for %{name}
Obsoletes:      guacamole-common-javadoc < 0.8.2
Obsoletes:      guacamole-ext-javadoc < 0.8.2
Provides:       guacamole-common-javadoc = %{version}-%{release}
Provides:       guacamole-ext-javadoc = %{version}-%{release}

%description -n guacamole-javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
install -p -m644 -D %{SOURCE1} guacamole/src/main/webapp/META-INF/context.xml

%build
# Skip automatic installation of the war module; XMvn doesn't support war installation yet (rhbz#963838)
%mvn_package :guacamole __noinstall
%mvn_build

%install
%mvn_install
# Put data files into tomcat's webapps directory
mkdir -p %{buildroot}%{_datadir}/tomcat/webapps/guacamole/
cp -frvp guacamole/target/guacamole-%{version}/* %{buildroot}%{_datadir}/tomcat/webapps/guacamole/

# Use Fedora packaged jar files
find %{buildroot}%{_datadir}/tomcat/webapps/guacamole/WEB-INF/lib/*jar -delete
for jar in commons-logging.jar slf4j/slf4j-api.jar slf4j/slf4j-jcl.jar \
    guacamole-client/guacamole-common.jar guacamole-client/guacamole-ext.jar; do
    ln -sf %{_javadir}/$jar %{buildroot}%{_datadir}/tomcat/webapps/guacamole/WEB-INF/lib/
done

# Configuration file
mkdir -p %{buildroot}%{_sysconfdir}/guacamole
cp -p guacamole/doc/example/* %{buildroot}%{_sysconfdir}/guacamole
sed -i -e 's@/path/to@%{_sysconfdir}/guacamole@g' %{buildroot}%{_sysconfdir}/guacamole/guacamole.properties
ln -sf %{_sysconfdir}/guacamole/guacamole.properties %{buildroot}%{_datadir}/tomcat/webapps/guacamole/WEB-INF/classes/

%files -n guacamole -f .mfiles
%doc guacamole/COPYING guacamole-ext/LICENSE guacamole/README
%{_datadir}/tomcat/webapps/guacamole
%dir %{_sysconfdir}/guacamole
%config(noreplace) %attr(640,root,tomcat) %{_sysconfdir}/guacamole/user-mapping.xml
%config(noreplace) %attr(640,root,tomcat) %{_sysconfdir}/guacamole/guacamole.properties

%files -n guacamole-javadoc -f .mfiles-javadoc

%changelog
* Mon May 26 2014 Simone Caronni <negativo17@gmail.com> - 0.8.4-1
- Update to 0.8.4.
- Convert context.xml patch to additional file.

* Wed Feb 26 2014 Simone Caronni <negativo17@gmail.com> - 0.8.3-5
- Remove symlink workaround, all Fedora/RHEL supported releases had 0.8.3 for
  quite some time.
- Switch to java-headless requirement (#1068116).

* Fri Oct 11 2013 Simone Caronni <negativo17@gmail.com> - 0.8.3-4
- Tighten permissions on user-mapping.xml.

* Mon Sep 23 2013 Simone Caronni <negativo17@gmail.com> - 0.8.3-3
- Rebuild with udpated source tarball.

* Tue Sep 10 2013 Simone Caronni <negativo17@gmail.com> - 0.8.3-2
- Change summary.

* Wed Aug 28 2013 Simone Caronni <negativo17@gmail.com> - 0.8.3-1
- Update to 0.8.3.
- Drop upstreamed patch.

* Mon Aug 26 2013 Simone Caronni <negativo17@gmail.com> - 0.8.2-4
- Rework spec file for recent Fedora 20 changes.
- Add proper Obsolete / Provides for javadoc packages.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Simone Caronni <negativo17@gmail.com> - 0.8.2-2
- Review fixes.

* Tue Jul 16 2013 Simone Caronni <negativo17@gmail.com> - 0.8.2-1
- First build.
